﻿@model Tuple<List<SaleOrderView>, List<BusinessPartnerView>>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Sales/Views/Shared/_Layout.cshtml";

    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ShowOpenQuantity = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.ShowOpenQuantity.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<style>
    .dot {
        height: 25px;
        width: 25px;
        border-radius: 50%;
        display: inline-block;
        align-content: center;
    }
</style>

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@SaleOrders.SOS</h1>
<!-- Row start -->
<div class="row">
    <div class="col-md-3 sidebar-secondary">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@SaleOrders.Search </a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">
                    <div class="panel-body">
                       
                        <div class="form-group">
                            @Html.TextBox("txtCodeVendor", null, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @SaleOrders.CC, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            @Html.TextBox("txtNameVendor", null, new { @Id = "txtNameVendor", @placeholder = @SaleOrders.CN, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>@SaleOrders.Search @SaleOrders.Customer</button>
                        </div>
                      
                        <input id="SalesEmployeeNumber" name="SalesEmployeeNumber" type="hidden">
                        <div class="form-group">
                            @Html.TextBox("txtSalesEmployee", null, new { @Id = "txtSalesEmployee", @Name = "txtSalesEmployee", @placeholder = @PurchaseOrders.SE, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#SEModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search @PurchaseOrders.SE </button>
                        </div>
                      
                        
                            <input id="OwnerNumber" name="OwnerNumber" type="hidden">
                        <div class="form-group">
                            @Html.TextBox("txtOwner", null, new { @Id = "txtOwner", @Name = "txtOwner", @placeholder = @PurchaseOrders.Owner, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#EmployeeModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search @PurchaseOrders.Owner </button>
                        </div>
                      
                        <div class="form-group">
                            @Html.TextBox("txtNro", null, new { @Id = "txtNro", @placeholder = @SaleOrders.DN, @class = "form-control" })
                        </div>
                        <div class="form-group">
                       
                                <div class="input-group date">
                                    @Html.TextBox("txtDate", null, new { @Id = "txtDate", @placeholder = @SaleOrders.Date, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                        
                        </div>
                        <div class="form-group">
                         
                                <select id="txtDocStatus" class="form-control" name="txtDocStatus">
                                    <option selected="selected" value="">@SaleOrders.ADS</option>
                                    <option value="O">@SaleOrders.Open</option>
                                    <option value="C">@SaleOrders.Closed</option>
                                </select>
                      
                        </div>
                       
                    </div>
                    <div class="panel-footer">
                        <button type="button" id="btSearch" class="btn btn-primary btn-lg pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="BodyPO" class="col-md-9 sidebar-data">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="table-responsive responsive table_cart">
                    <table id="assets-data-table" class="table table-striped table-hover display" style="width:100%;"></table>
                    <script type="text/javascript">
                        var assetListVM;
                        var showOpenQuantity = "@_ShowOpenQuantity" == "True"; 
                            $(function () {
                                assetListVM = {
                                    dt: null,
                                    init: function () {
                                        dt = $('#assets-data-table').DataTable({
                                             "language": {
                                                "lengthMenu": "@Shared.DTlengthMenu",
                                                "zeroRecords": "@Shared.DTzeroRecords",
                                                "info": "@Shared.DTinfo",
                                                "infoEmpty": "@Shared.DTinfoEmpty",
                                                "infoFiltered": "@Shared.DTinfoFiltered",
                                                "paginate": {
                                                    "previous": "@Shared.DTprevious",
                                                    "next": "@Shared.DTnext",
                                                    "first": "@Shared.DTfirst",
                                                    "last": "@Shared.DTlast"
                                                }
                                            },
                                            "autoWidth": true,
                                            "serverSide": true,
                                            "processing": true,
                                            "data": null,
                                            "dom": 'Blfrtip',
                                            "buttons": ['excel', 'pdf', 'print'],
                                            "searching": false,
                                            "ajax": {
                                                "url": "/Sales/SalesOrder/GetListSO",
                                                "type": "POST",
                                                "data": function (data) {
                                                    var dateTxtDate = $("#txtDate").datepicker("getDate");
                                                    data.pCodeVendor = $("#txtCodeVendor").val();
                                                    data.pDate = (isNaN(dateTxtDate) == true ? null : ((dateTxtDate.getMonth() + 1) + "/" + dateTxtDate.getDate() + "/" + dateTxtDate.getFullYear()));
                                                    data.pNro = $("#txtNro").val();
                                                    data.pDocStatus = $("#txtDocStatus").val();
                                                    data.pOwnerCode = $("#OwnerNumber").val();
                                                    data.pSECode = $("#SalesEmployeeNumber").val();
                                                }
                                            },
                                            "columns": [
                                                { "title": "#", "data": "DocNum", "name": "DocNum" },
                                                { "title": "@PurchaseOrders.DocDate", "data": "DocDateJSONView", "name": "DocDate" },
                                                { "title": "@BusinessPartners.CC", "data": "CardCode", "name": "CardCode"  },
                                                { "title": "@BusinessPartners.CN", "data": "CardName", "name": "CardName"  },
                                                { "title": "@PurchaseOrders.Remarks", "data": "Comments", "name": "Comments"  },
                                                 {
                                                    "title": "@PurchaseOrders.OpenQuantity", "name": "OpenQuantityStatus", "data": "OpenQuantityStatus", "visible": showOpenQuantity,
                                                    "render": function(data, type, full, meta) {
                                                            var returnValue;
                                                            switch (data)
                                                            {
                                                                case 1:
                                                                    returnValue = "<span class='dot' style='background-color:red' title='@PurchaseOrders.OpenQuantitySOLevel_Red'></span>";
                                                                    break;
                                                                case 2:
                                                                    returnValue = "<span class='dot' style='background-color:yellow' title='@PurchaseOrders.OpenQuantitySOLevel_Yellow'></span>";
                                                                    break;
                                                                case 0:
                                                                    returnValue = "<span class='dot' style='background-color:green' title='@PurchaseOrders.OpenQuantitySOLevel_Green'></span>";
                                                                    break;
                                                            }

                                                            return returnValue;
                                                        }
                                                    }, 
                                                { "title": "@PurchaseOrders.DelDate", "data": "DocDueDateJSONView", "name": "DocDueDate" },
                                                {
                                                    "title": "@PurchaseOrders.Status", "name": "DocStatus", "data": "DocStatus",
                                                    "render": function (data, type, full, meta) {
                                                        switch (data) {
                                                            case "C": return "@PurchaseOrders.Closed"; break;
                                                            case "O": return "@PurchaseOrders.Open"; break;
                                                            default: ""; break;
                                                        }
                                                    }
                                                },
                                                {
                                                    "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                    "render": function (data, type, full, meta) {
                                                        var mReturnValue = "<div class=\"block_tabla_minimo\">";
                                                        if(@_View.ToString().ToLower() == true)
                                                        {
                                                            mReturnValue += "<a href=\"/Sales/SalesOrder/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=SalesOrder\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                        }
                                                        if(@_Update.ToString().ToLower() == true)
                                                        {
                                                            if (data.DocStatus != "C")
                                                            {
                                                                mReturnValue += "<a href=\"/Sales/SalesOrder/ActionPurchaseOrder?ActionPurchaseOrder=Update&IdPO="+data.DocEntry+"&fromController=SalesOrder\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                            }
                                                        }
                                                        return mReturnValue;
                                                    }
                                                }
                                            ],
                                            "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                            language: {
                                                processing: "@DataTables.Processing",
                                                lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                                                info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                                                paginate: {
                                                    previous: "@DataTables.Previous",
                                                    next: "@DataTables.Next"
                                                }
                                            },
                                        });
                                    },
                                    refresh: function () {
                                        dt.ajax.reload();
                                    }
                                }
                            });
                    </script>
                </div>
            </div>
        </div>
        @if (_Add)
        {
            <div class="col-md-2 pull-right">
                <a href='@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "SalesOrder" })' class="btn btn-success btn-lg pull-right ">
                    <span class="glyphicon glyphicon-file"></span>&nbsp;@SaleOrders.NSO
                </a>
            </div>
        }
    </div>    
</div>

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@SaleOrders.Search @SaleOrders.Customer</h4>
            </div>
            <div class="">

                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                    </div>
                </div>

                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Sales/SalesOrder/_Customers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                        language: {
                                                processing: "@DataTables.Processing",
                                                lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                                                info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                                                paginate: {
                                                    previous: "@DataTables.Previous",
                                                    next: "@DataTables.Next"
                                                }
                                            }
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Employee Modal*@
<div class="modal fade" id="EmployeeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelEmloyeeModalEmployee">@PurchaseOrders.Search @PurchaseOrders.Employee</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeEmployee" value="option1" checked=""> @PurchaseOrders.BC
                        </label>

                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameEmployee" value="option1" checked=""> @PurchaseOrders.BN
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchEmployee" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchEmployee" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadEmployee" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyEmployee">
                            @*Aca cargo los datos por el ajax*@
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*SE Modal*@
<div class="modal fade" id="SEModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelSEModalSE">@PurchaseOrders.Search @PurchaseOrders.SE</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>
                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSE" class="form-control">
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchSE" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>

                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadSE" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodySE">
                            @*Aca cargo los datos por el ajax*@
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/SalesOrder-Index")




